<?php

function sanitise_filename($file)
{
  return str_replace('./','x',$file);
}

function load_mask($name, $prefix = '')
{
  global $mask;

  $name = sanitise_filename($name);
  $file = $prefix . 'masks/' . $name . '.php';

  if (!file_exists($file))
    return false;

  include_once($file);

  return true;
}

function connect_db()
{
  $dsn = sprintf('host=%s dbname=%s user=%s password=%s',DBHOST,DBNAME,DBUSER,DBPASS);
  pg_connect($dsn);
}

function load_js($jsfiles, $jscode)
{
  $ret = '';
  foreach ($jsfiles as $file)
    $ret .= sprintf('<script type="text/javascript" src="%s"></script>'."\n", $file);

  if (!empty($jscode))
    $ret .= sprintf('<script type="text/javascript">'."\n%s\n</script>\n", implode("\n",$jscode));

  return $ret;
}

function process()
{
  if (!empty($_GET['mask'])) {
    require_once('lib/mask.php');
    return mask($_GET['mask']);
  }

  $masks = array('sys_user','sys_group','sys_mask',
		 'anbaugeraete','arbeitsarten','personal','materialien','gebiet','geraete',
		 'kostenstellen','materialverbrauch','einsatz');
  $ret = '';
  foreach ($masks as $m)
    $ret .= sprintf('<a href="index.php?mask=%s">%s</a><br>', $m, $m);
  
  return $ret;
}

?>
